
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: avahi: build without mono on ARM platforms

Fedora/ARM doesn't currently provide mono, so build avahi without
mono bits when we're building on ARM.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/avahi.spec
===================================================================
--- SPECS.orig/avahi.spec
+++ SPECS/avahi.spec
@@ -1,12 +1,12 @@
 %{?!WITH_MONO:  %define WITH_MONO 1}
 %{?!WITH_COMPAT_DNSSD:  %define WITH_COMPAT_DNSSD 1}
 %{?!WITH_COMPAT_HOWL:   %define WITH_COMPAT_HOWL  1}
-%ifarch ppc64 s390 s390x
+%ifarch %{arm} ppc64 s390 s390x
 %define WITH_MONO 0
 %endif
 Name:           avahi
 Version:        0.6.21
-Release:        6%{?dist}
+Release:        6%{?dist}.fa1
 Summary:        Local network service discovery 
 Group:          System Environment/Base
 License:        LGPLv2
